CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5 FATAL_ERROR)
PROJECT(hphp C CXX ASM)

set(HHVM_DEFINITIONS ";ENABLE_ZEND_COMPAT=1;HHVM_DYNAMIC_EXTENSION_DIR=\"/usr/lib64/hhvm\";HAVE_LIBDL;HAVE_BOOST1_49;HAVE_FEATURES_H=1;HAVE_CURL_MULTI_WAIT;NO_JEMALLOC=1;NO_TCMALLOC=1;USE_EDITLINE;LIBDWARF_CONST_NAME;LIBDWARF_USE_INIT_C;HAVE_ELF_GETSHDRSTRNDX;USE_LLVM;FOLLY_HAVE_WEAK_SYMBOLS=1;_REENTRANT=1;_PTHREADS=1;__STDC_FORMAT_MACROS;_GNU_SOURCE;RELEASE=1;NDEBUG;ENABLE_FASTCGI=1;HPHP_OSS=1;PACKAGE=hhvm;PACKAGE_VERSION=Release;FOLLY_NO_CONFIG=1;FOLLY_HAVE_CLOCK_GETTIME=1;FOLLY_HAVE_FEATURES_H=1;HHVM;USE_CMAKE")
set(HHVM_API_VERSION "20140829")
set(CMAKE_INSTALL_PREFIX "/usr")
set(CMAKE_INSTALL_LIBDIR "/usr/lib64")
set(CMAKE_BUILD_TYPE "PLD")
set(ENABLE_ZEND_COMPAT "ON")

option(HHVM_DSO_TEST_MODE "Build against source headers, not installed ones" Off)
if (HHVM_DSO_TEST_MODE)
  set(HHVM_INCLUDE_DIRS "/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/mysql;/usr/include/mysql;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/libxml2;/usr/include;/usr/include;/usr/include/double-conversion;/usr/include;/usr/include;/usr/lib64/libzip/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/security;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/hphp/LIBLLVM_INCLUDE_DIR;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/hphp;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/libsqlite3;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/fastlz;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/timelib;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/libafdt/src;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/libmbfl;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/libmbfl/mbfl;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/libmbfl/filter;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party/folly;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/third-party;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/hphp;/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1;/usr/include")
  set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}
    "/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/CMake" "/tmp/B.05f61103-b4a1-4911-a7e3-904055dccfc9/BUILD/hhvm-HHVM-3.3.1/hphp/public_tld/CMake"
    ${CMAKE_MODULE_PATH})
else()
  set(HHVM_INCLUDE_DIRS "/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/mysql;/usr/include/mysql;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/libxml2;/usr/include;/usr/include;/usr/include/double-conversion;/usr/include;/usr/include;/usr/lib64/libzip/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/security;/usr/include/hphp/LIBLLVM_INCLUDE_DIR;/usr/include/hphp;/usr/include/hphp/third-party/libsqlite3;/usr/include/hphp/third-party/fastlz;/usr/include/hphp/third-party/timelib;/usr/include/hphp/third-party/libafdt/src;/usr/include/hphp/third-party/libmbfl;/usr/include/hphp/third-party/libmbfl/mbfl;/usr/include/hphp/third-party/libmbfl/filter;/usr/include/hphp/third-party;/usr/include/hphp;/usr/include")
  set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}
    "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/hhvm/CMake"
    ${CMAKE_MODULE_PATH})
endif()

message(STATUS "Configuring for HHVM API version ${HHVM_API_VERSION}")

include(HPHPFunctions)
include(HPHPIZEFunctions)
include(HPHPCompiler)
include(config)

foreach (dir ${HHVM_INCLUDE_DIRS})
  include_directories(${dir})
endforeach()

add_definitions("-DHHVM_BUILD_DSO")
foreach (def ${HHVM_DEFINITIONS})
  add_definitions("-D${def}")
endforeach()
